import { Url } from './models';
export interface PathParamsBuilderOptions {
    url: Url;
    pathParams: Record<string, any>;
}
/**
 * Replaces all the matching keys in the path params in the url with the value.
 *
 * @example
 * pathParamsBuilder({url: '/users/:id', pathParams: {id: 1}}) === '/users/1
 *
 * @param {String} options.url The url to be parsed
 * @param {Object} options.pathParams Consists of the matching key in the url to be replaced by the value.
 */
export declare function pathParamsBuilder(options: PathParamsBuilderOptions): Url;
